Skip to main content
DELETE
/
general-leads-communications
/
{communicationId}
/
attachments
/
{fileId}
Delete a communication attachment
curl --request DELETE \
  --url https://www.renovationfind.com/rest-manager-api-v1/general-leads-communications/{communicationId}/attachments/{fileId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://www.renovationfind.com/rest-manager-api-v1/general-leads-communications/{communicationId}/attachments/{fileId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://www.renovationfind.com/rest-manager-api-v1/general-leads-communications/{communicationId}/attachments/{fileId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "data": "<string>",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Path Parameters

communicationId
integer<int64>
required
fileId
integer<int64>
required

Response

200 - application/json

Attachment deleted

success
boolean
data
string
message
string